Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenitcalls`list-processes'

From: martin rudalics <[email-masked]>
Date: Wed, 08 Aug 2012 09:07:42 +0200

> (window-parameters) returns nil.  In every window I've tried so far.  Let me
 > know if there is some particular test you want me to make.

In your previous reply you wrote:

 >> If, with emacs -Q, I do
 >> (progn
 >>    (load ".../with-temp-buffer-window.el")
 >>    (setq special-display-buffer-names '("*Process List*"))
 >>    (display-buffer (get-buffer-create "*Process List*")))
 >>
 >> I get the buffer *Process List* on a separate frame, in a strongly
 >> dedicated window
 >
 > I do too (following that recipe from emacs -Q), the dedicatedness being judged
 > by trying to do C-x b in it and getting this error message:
 >
 >  switch-to-buffer: Cannot switch buffers in a dedicated window
 >
 >> and with a `quit-restore' window parameter as
 >>
 >> ((quit-restore frame frame #<window 3 on *scratch*> #<buffer
 >> *Process List*>))
 >
 > No, there is still no `quit-restore' parameter, according to `frame-parameters'.
 >
 >> If I do `quit-window' in that window, the frame is iconified.
 >
 > Same here.  This is with Emacs 24.1.
 >
 >> Tested with Emacs 24.1 release and the latest trunk version I
 >> was able to build.  If you get different results, there's nothing I can do.
 >
 > HTH.  This test does not involve a standalone minibuffer or other things that
 > are in my setup.  But at least you can see that parameter `quit-restore' is
 > missing.

So according to that reply, special display works on your system, the
window gets dedicated and the frame iconified.  You insisted on the
absence of a value for the `quit-restore' window parameter but maybe you
can have another look once you manage how to find it.  Sections 28.16
and 28.24 of the Elisp manual might help you in this regard.

So the only remaining issue is the familiar one: Go through your setup
and check why the window does not get dedicated and the `quit-restore'
window parameter is not assigned.

 > Clear enough now?

Judge by yourself.

martin